Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class PolicyConstraintsExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.PolicyConstraintsExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class PolicyConstraintsExtension
extends X509Extension

Represents the Policy Constraints certificate extension from RFC 2459. At least one of the two fields, requireExplicitPolicy and inhibitPolicyMapping, must be preset for the extension to be valid.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`PolicyConstraintsExtension()` Create a new extension with the appropriate OID type.
`PolicyConstraintsExtension(java.math.BigInteger requireExplicit, java.math.BigInteger inhibitMapping)` Creates a new extension with the specified values for requireExplicitPolicy and inhibitPolicyMapping.
`PolicyConstraintsExtension(java.math.BigInteger requireExplicit, java.math.BigInteger inhibitMapping, boolean critical)` Creates a new extension with the specified values for requireExplicitPolicy and inhibitPolicyMapping, and the given critical flag.
`PolicyConstraintsExtension(java.io.InputStream is)`

Method Summary
`java.math.BigInteger` | `getInhibitPolicyMapping()` Gets the value for inhibitPolicyMapping, or `null` if not defined for this extension.
`java.math.BigInteger` | `getRequireExplicitPolicy()` Gets the value for requireExplicitPolicy, or `null` if not defined for this extension.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyConstraintsExtension

    public PolicyConstraintsExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### PolicyConstraintsExtension

    public PolicyConstraintsExtension(java.math.BigInteger requireExplicit,
                                      java.math.BigInteger inhibitMapping)

  Creates a new extension with the specified values for requireExplicitPolicy and inhibitPolicyMapping. Extension is not critical.
Parameters:
  `requireExplicit` - The number of additional certificates that may appear in the path before an explicit policy is required.
  `inhibitMapping` - The number of additional certificates that may appear in the path before policy mapping is no longer permitted.

### PolicyConstraintsExtension

    public PolicyConstraintsExtension(java.math.BigInteger requireExplicit,
                                      java.math.BigInteger inhibitMapping,
                                      boolean critical)

  Creates a new extension with the specified values for requireExplicitPolicy and inhibitPolicyMapping, and the given critical flag.
Parameters:
  `requireExplicit` - The number of additional certificates that may appear in the path before an explicit policy is required (may be `null`).
  `inhibitMapping` - The number of additional certificates that may appear in the path before policy mapping is no longer permitted (may be `null`).
  `critical` - `true` if this extension is critical, `false` otherwise.

### PolicyConstraintsExtension

    public PolicyConstraintsExtension(java.io.InputStream is)
                               throws java.io.IOException

Method Detail

### getRequireExplicitPolicy

    public java.math.BigInteger getRequireExplicitPolicy()

  Gets the value for requireExplicitPolicy, or `null` if not defined for this extension.

### getInhibitPolicyMapping

    public java.math.BigInteger getInhibitPolicyMapping()

  Gets the value for inhibitPolicyMapping, or `null` if not defined for this extension.

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.